#ifndef _portopt
#define _portopt

#include <vector>

double solveport (const std::vector< std::vector <double> > &VAR, const std::vector<double> &MEANS, const double &alpha, std::vector<double> &x_h, int &errorcode); /// Call the quadratic solver and put shares in x_h
bool i_checks(const std::vector< std::vector <double> > &VAR, const std::vector<double> &MEANS); /// Perform input checks on the input data, like VAR is a simm matrix and number of rows is equal to the number of means
#endif 